commit 10182ebf2ae7bffc46e3d86a2c5294268ce93666
Author: freddy77 <freddy77>
Date:   Fri Nov 6 07:50:44 2009 +0000

    Fix compatibility problem with "server:port" syntax

diff --git a/ChangeLog b/ChangeLog
index 5bbfe15..79ec582 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Nov  6 08:49:07 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/config.c:
+	- Fix compatibility problem with "server:port" syntax
+
 Fri Oct 23 15:12:16 EDT 2009	JK Lowden <jklowden@freetds.org>
 	* src/apps/tsql.c exit after -L output
 	* src/dblib/dblib.c
@@ -1882,4 +1886,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2880 2009/10/23 19:21:37 jklowden Exp $
+$Id: ChangeLog,v 1.2881 2009/11/06 07:50:44 freddy77 Exp $
diff --git a/src/tds/config.c b/src/tds/config.c
index 96f8edd..c3a1291 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.146 2009/10/23 19:21:49 jklowden Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.147 2009/11/06 07:50:44 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -86,9 +86,7 @@ static void tds_config_env_tdshost(TDSCONNECTION * connection);
 static int tds_read_conf_sections(FILE * in, const char *server, TDSCONNECTION * connection);
 static int tds_read_interfaces(const char *server, TDSCONNECTION * connection);
 static int tds_config_boolean(const char *value);
-#if PARSE_SERVER_NAME_FOR_PORT
 static int parse_server_name_for_port(TDSCONNECTION * connection, TDSLOGIN * login);
-#endif
 static int tds_lookup_port(const char *portname);
 static void tds_config_encryption(const char * value, TDSCONNECTION * connection);
 
@@ -184,16 +182,11 @@ tds_read_config_info(TDSSOCKET * tds, TDSLOGIN * login, TDSLOCALE * locale)
 	tdsdump_log(TDS_DBG_INFO1, "Getting connection information for [%s].\n", 
 			    tds_dstr_cstr(&login->server_name));	/* (The server name is set in login.c.) */
 
-#if PARSE_SERVER_NAME_FOR_PORT
-	/* Don't parse the [servername] key to a freetds.conf section. */
-	if (parse_server_name_for_port(connection, login)) {
-		tdsdump_log(TDS_DBG_INFO1, "Parsed servername, now %s on %d.\n", 
-			    tds_dstr_cstr(&connection->server_name), login->port);
-	}
-#endif
 	/* Read the config files. */
 	tdsdump_log(TDS_DBG_INFO1, "Attempting to read conf files.\n");
-	if (!tds_read_conf_file(connection, tds_dstr_cstr(&login->server_name))) {
+	if (!tds_read_conf_file(connection, tds_dstr_cstr(&login->server_name)) &&
+		(!parse_server_name_for_port(connection, login) ||
+		 !tds_read_conf_file(connection, tds_dstr_cstr(&login->server_name)))) {
 		/* fallback to interfaces file */
 		tdsdump_log(TDS_DBG_INFO1, "Failed in reading conf file.  Trying interface files.\n");
 		if (!tds_read_interfaces(tds_dstr_cstr(&login->server_name), connection)) {
@@ -1072,7 +1065,6 @@ tds_read_interfaces(const char *server, TDSCONNECTION * connection)
 	return found;
 }
 
-#if PARSE_SERVER_NAME_FOR_PORT
 /**
  * Check the server name to find port info first
  * Warning: connection-> & login-> are all modified when needed
@@ -1108,7 +1100,6 @@ parse_server_name_for_port(TDSCONNECTION * connection, TDSLOGIN * login)
 
 	return 1;
 }
-#endif
 
 /**
  * Return a structure capturing the compile-time settings provided to the

